Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003037 [JEDI VCL] 00 JVCL Components trivial always 2005-06-13 13:47 2006-06-27 03:39
Reporter Tibor View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0003037: TJvInspectorCustomCategoryItem constructor bug
Description I enabled CodeGuard validation on the jvcl\examples\JvInspector\BCB\JvInspectorDemo.bpr sample project and tried to Debug it with the following results:

Error 00056. 0x130C10 (Thread 0x0AAC):
Method called on illegally casted object: Attempt to access 384 byte(s) at
 0x055BBCB4. The 'this' pointer points to heap block 0x055BBCB4 which is only
 380 bytes long.
Call Tree:
   0x00402D2C(=JvInspectorDemo.exe:0x01:001D2C) c:\program files\borland\cbuilder6\include\vcl\JvInspector.hpp#1093
   0x00402ECC(=JvInspectorDemo.exe:0x01:001ECC) C:\Program Files\Borland\CBuilder6\Components\JEDI\jvcl\examples\JvInspector\BCB\MainForm.cpp#132
   0x004072A9(=JvInspectorDemo.exe:0x01:0062A9) C:\Program Files\Borland\CBuilder6\Components\JEDI\jvcl\examples\JvInspector\BCB\MainForm.cpp#413
   0x0052F67B(=JvInspectorDemo.exe:0x01:12E67B)
   0x0052F367(=JvInspectorDemo.exe:0x01:12E367)
   0x00536A1C(=JvInspectorDemo.exe:0x01:135A1C)

The memory block (0x055BBCB4) [size: 380 bytes] was allocated with SysGetMem
Call Tree:
   0x00502A17(=JvInspectorDemo.exe:0x01:101A17)
   0x00402ECC(=JvInspectorDemo.exe:0x01:001ECC) C:\Program Files\Borland\CBuilder6\Components\JEDI\jvcl\examples\JvInspector\BCB\MainForm.cpp#132
   0x004072A9(=JvInspectorDemo.exe:0x01:0062A9) C:\Program Files\Borland\CBuilder6\Components\JEDI\jvcl\examples\JvInspector\BCB\MainForm.cpp#413
   0x0052F67B(=JvInspectorDemo.exe:0x01:12E67B)
   0x0052F367(=JvInspectorDemo.exe:0x01:12E367)
   0x00536A1C(=JvInspectorDemo.exe:0x01:135A1C)
------------------------------------------

It seems that the following constructor call caused the above error:
InspCat = new TJvInspectorCustomCategoryItem(JvInspector1->Root, NULL);
Additional Information Operating system: Win2000 Pro
IDE: BCB6 Pro
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0008791)
obones (administrator)
2006-03-31 06:19

Could you post a demo application showing the problem?
(0009660)
obones (administrator)
2006-06-27 03:38

Well, without any response, I'm assuming this is fixed in the latest development version. Should it not be the case, please provide a sample application and/or a diff file against the latest SVN content:

http://homepages.borland.com/jedi/wiki/index.php?title=Repository [^]

- Issue History
Date Modified Username Field Change
2005-06-13 13:47 Tibor New Issue
2005-06-13 13:49 Tibor Issue Monitored: Tibor
2006-03-31 06:19 obones Note Added: 0008791
2006-03-31 06:19 obones Status new => feedback
2006-06-27 03:38 obones Status feedback => resolved
2006-06-27 03:38 obones Fixed in Version => Daily / SVN
2006-06-27 03:38 obones Resolution open => fixed
2006-06-27 03:38 obones Assigned To => obones
2006-06-27 03:38 obones Note Added: 0009660


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker